[TESTING] Kodi 18 (Leia) builds for Raspberry Pi


#611

These are test builds that have not even reached alpha status yet. Breakage requiring a modicum of patience are to be expected.


#612

Unfortunately I don’t think 152 will solve your issue. The patch I thought was needed is specific to LE so doesn’t apply here. Still trying to get to the bottom of the problem.


#613

17.8-152, 28 Dec 2017: Based off OSMC commit (c26d818d) and newclock5 (6fa346dc)

XBMC:

  • [uwp] copy appxsym next to appx and cer files (PR:13250, 1 commit, 1 file changed)
  • Revert “[uwp] copy appxsym next to appx and cer files” (PR:13251, 1 commit, 1 file changed)
    windowing/gbm: fixes for startup and shutdown (PR:13231, 4 commits, 5 files changed)
  • Controller dialog: Wheel and throttle support (PR:13189, 5 commits, 45 files changed)
  • more ifdef cleanup and removal (PR:13222, 26 commits, 51 files changed)
  • [cmake] disable doc, examples, tests & gtest for internal libs (PR:13238, 2 commits, 2 files changed)
  • [fix][seekhandler] seek size can exceed min and max time of player (PR:13236, 6 commits, 13 files changed)
  • [cleanup][TexturePacker] remove PlatformDefs include (PR:13239, 1 commit, 5 files changed)
  • [PVR] Make shared channel selection optional. (PR:13237, 1 commit, 5 files changed)

peripheral.joystick:

  • Peripheral API] Update to v1.3.5: Wheel and throttle support (PR:133, 1 commit, 3 files changed)

pvr.zattoo:

  • Add quantum TV as reseller (54afaab)

Includes latest addons: inputstream.adaptive (fcf6695, +1), inputstream.rtmp (c772497), peripheral.joystick (3a93486, +1), pvr.argustv (1aa4ddc), pvr.demo (744d8ef), pvr.dvblink (4ac2f2d), pvr.dvbviewer (c2275e1), pvr.filmon (17e8193), pvr.hdhomerun (8b931e8), pvr.hts (2f39155), pvr.iptvsimple (cbd4f5a, +2), pvr.mediaportal.tvserver (8f11874), pvr.mythtv (8f214cd), pvr.nextpvr (11dfdbb), pvr.njoy (f7a9913), pvr.octonet (c4af00a), pvr.pctv (7b1c634), pvr.stalker (fad6ed4), pvr.teleboy (e431126), pvr.vbox (1ed3fd2), pvr.vdr.vnsi (0ec3e77), pvr.vuplus (b090f73), pvr.wmc (920ade6), pvr.zattoo (54afaab, +3), vfs.libarchive (568a2a1)


#614

Not related to this particular update, but something was changed in 17.8.144 onwards that makes me unable to select my loopback audio device in the audio settings.

17.8.143 and before it is working fine.
Just thought id point this out as im having to stay on 17.8.143 because of this.

I see from the notes that something was changed re ALSA so im guessing this is the culprit…id be gutted to lose this functionality.
Cheers.


#615

libretro is building again so will re-add to the next nightly. As @ActionA said these are test builds so addons can break at any time (And usually do)


#616

So I updated my list:
deb http://ftp.debian.org/debian jessie main contrib non-free

deb http://ftp.debian.org/debian/ jessie-updates main contrib non-free

deb http://security.debian.org/ jessie/updates main contrib non-free

deb http://apt.osmc.tv jessie main

#deb http://download.osmc.tv/dev/gmc-18 ./

deb http://download.osmc.tv/dev/gmc-18

Got this: wget -qO - http://download.osmc.tv/dev/gmc-18/gpg.key

And now I get this :

Debian GNU/Linux comes with ABSOLUTELY NO WARRANTY, to the extent
permitted by applicable law.
Last login: Thu Dec 28 13:56:32 2017 from t-office-pc.local
Updating APT cache. Please be patient.
apt-get update was unsuccessful. If you are planning to install a packagee run apt-get update first and verify it was successful
osmc@osmc:~$ sudo nano /etc/apt/sources.list
osmc@osmc:~$ sudo apt-get update
E: Malformed line 11 in source list /etc/apt/sources.list (dist)
E: The list of sources could not be read.
osmc@osmc:~$ sudo apt-get dist-upgrade
Reading package lists… Error!
E: Malformed line 11 in source list /etc/apt/sources.list (dist)
E: The list of sources could not be read.
E: The package lists or status file could not be parsed or opened.
osmc@osmc:~$ sudo apt-get install rbp2-mediacenter-osmc
Reading package lists… Done
Building dependency tree
Reading state information… Done
rbp2-mediacenter-osmc is already the newest version.
The following packages were automatically installed and are no longer required:
rbp2-image-4.4.27-7-osmc rbp2-image-4.4.27-9-osmc
rbp2-image-4.9.29-5-osmc
Use ‘apt-get autoremove’ to remove them.
0 upgraded, 0 newly installed, 0 to remove and 20 not upgraded.
osmc@osmc:~$ sudo apt-get install rbp2-mediacenter-osmc
Reading package lists… Done
Building dependency tree
Reading state information… Done
rbp2-mediacenter-osmc is already the newest version.
The following packages were automatically installed and are no longer required:
rbp2-image-4.4.27-7-osmc rbp2-image-4.4.27-9-osmc
rbp2-image-4.9.29-5-osmc
Use ‘apt-get autoremove’ to remove them.
0 upgraded, 0 newly installed, 0 to remove and 20 not upgraded.
osmc@osmc:~$


#617

You still haven’t updated to Stretch by the looks of it.

You need to run the command properly

This is malformed.

Please read the original post and follow the instructions exactly.


#618

Thanks for replying.

Indeed. It didn’t solved the issue with my Hifiberry Digi+.

If I could help with something, to speed up things. Feel free to ask.

Thanks.


#619

Ive done a fresh install of OSMC and immediate upgrade to stretch and 18.0-ALPHA1 2017.10-1. Most things work fine, except for the libretro emulators - every emulator I select to enable shows game.libretro dependency “unavailable”. The emulators enable fine, but give an “unknown error” when run. How can I install game.libretro?


#620

#621

Apologies, a google search turned up nothing,and this is a long thread.


#622

There’s a double post of the raspberry pi 2/3 update line in your first post.

And then issue the following command to install a test build for Raspberry Pi 2 or 3:

sudo apt-get install rbp2-mediacenter-osmc

To install a Raspberry Pi 1 or Raspberry Pi Zero build, issue the following command:

sudo apt-get install rbp1-mediacenter-osmc

For Rasperry Pi 2/3:

sudo apt-get install rbp2-mediacenter-osmc

#623

Thanks. Fixed.


#624

17.8-153, 31 Dec 2017: Based off OSMC commit (ab6624ae) and newclock5 (fbff01f3d)

OSMC:
Re-add game.libretro

XBMC:

  • [JSON-RPC]Add “art” parameter to audio library Get and Set methods (PR:13101, 1 commit, 6 files changed)
  • StackHelper increase part times precision to msec and bugfix (PR:13262, 1 commit, 7 files changed)
  • [refactor] make m_pPlayer private and expose it through method GetAppPlayer() (PR:13259, 7 commits, 58 files changed)
  • [PVR] Remove unused action ACTION_PLAY, use ACTION_PLAYER_PLAY. (PR:13272, 1 commit, 4 files changed)
  • [PVR] Fix crash when enabling a PVR client addon. (PR:13266, 1 commit, 2 files changed)
  • [guiinfo] Fix PLAYER_PROGRESS, PLAYER_PROGRESS_CACHE, PLAYER_SEEKBAR, (PR:13273, 1 commit, 1 file changed)

inputstream.adaptive:

  • Android 32 ftello / removed compiler warnings (352822a)
  • remove force secure steams (android) (fb0ca21)

newclock5:

New commits in this build:

  • PiSink: Treat default as HDMI (fbff01f3)

Includes latest addons: inputstream.adaptive (fb0ca21, +4), inputstream.rtmp (482f5c1, +1), peripheral.joystick (3a93486, +1), pvr.argustv (a4d3ec7, +1), pvr.demo(6284566, +1), pvr.dvblink (4ac2f2d), pvr.dvbviewer (c2275e1), pvr.filmon (e754b4b, +2), pvr.hdhomerun (7379fbc, +3), pvr.hts (bf22a18, +1), pvr.iptvsimple(a768d0e, +3), pvr.mediaportal.tvserver (dcf0512, +1), pvr.mythtv (cab8839, +1), pvr.nextpvr (11dfdbb), pvr.njoy (67b837d, +1), pvr.octonet (c4af00a), pvr.pctv(c7a13d7, +4), pvr.stalker (c91421d, +2), pvr.teleboy (3ae0297, +2), pvr.vbox (24126fd, +1), pvr.vdr.vnsi (3c76791, +1), pvr.vuplus (020e1d2, +1), pvr.wmc (920ade6), pvr.zattoo (4940bcc, +5), vfs.libarchive (568a2a1)


#625

Can you try the latest build and see if it’s made any difference. There was a commit for PiSink.

Otherwise can you please post latest debug logs and I’ll keep digging.


#626

It didn’t work.

Everything is the same

Here’s the debug logs:

https://paste.osmc.tv/wucopiruja

https://paste.osmc.tv/zoqosojoju


#627

I did some digging myself and found this in the community forums at Hifiberry:

I believe it is directly related to what is happening here.

Here’s the apparently fix:

At the end the reason has turned out: i2c_bcm2835 has not been enabled in the menuconfig. Thus the WM8804 modules do not load. Setting i2c_bcm2835 as module in the kernel config has solved the problem.

Hope that helps, somehow.


#628

I doubt that is related. I don’t believe this is a kernel issue. You can test this yourself with aplay


#629

aplay -l
**** List of PLAYBACK Hardware Devices ****
card 0: sndrpihifiberry [snd_rpi_hifiberry_digi], device 0: HifiBerry Digi HiFi wm8804-spdif-0 []
Subdevices: 1/1
Subdevice #0: subdevice #0


The error message in the dmesg log is basically identical to the one I found mentioned on the Hifiberry Forums.

That’s why I presumed.


#630

Can confirm, updated to Stretch (all ok with hifiberry) installed Leia no more hifiberry.
Will downgrade to Krypton to confirm.